import CellAdapter from './CellAdapter';
export interface ICellState {
    source?: string;
    outputsCount?: number;
    adapter?: CellAdapter;
}
export interface ICellsState {
    cells: Map<string, ICellState>;
    kernelAvailable: boolean;
}
export type CellState = ICellsState & {
    setCells: (cells: Map<string, ICellState>) => void;
    setSource: (id: string, source: string) => void;
    setOutputsCount: (id: string, outputsCount: number) => void;
    setKernelAvailable: (kernelAvailable: boolean) => void;
    setAdapter: (id: string, adapter?: CellAdapter) => void;
    getAdapter: (id: string) => CellAdapter | undefined;
    getSource: (id: string) => string | undefined;
    getOutputsCount: (id: string) => number | undefined;
    execute: (id?: string) => void;
};
export declare const cellStore: import("zustand").StoreApi<CellState>;
export declare function useCellStore(): CellState;
export declare function useCellStore<T>(selector: (state: CellState) => T): T;
export default useCellStore;
