import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useState, useEffect } from 'react';
import Lumino from '../lumino/Lumino';
import { KernelSpyView } from './inspector/widget';
import { Box } from '@primer/react';
export const KernelInspector = (props) => {
    const { kernel } = props;
    const [kernelSpyView, setKernelSpyView] = useState();
    useEffect(() => {
        kernel?.ready.then(() => {
            const kernelSpyView = new KernelSpyView(kernel?.connection);
            setKernelSpyView(kernelSpyView);
        });
    }, [kernel]);
    return kernelSpyView ? (_jsx(Box, { sx: {
            '& dla-KernelInspector-view': {
                height: '1000px',
            },
            '& .dla-KernelInspector-messagelog': {
                height: '100px',
                minHeight: '100px',
            },
        }, children: _jsx(Lumino, { children: kernelSpyView }) })) : (_jsx(_Fragment, {}));
};
export default KernelInspector;
//# sourceMappingURL=KernelInspector.js.map