import { Widget } from '@lumino/widgets';
import { IVariableInspector } from './tokens';
type FILTER_TYPES = 'type' | 'name';
/**
 * A panel that renders the variables
 */
export declare class VariableInspectorPanel extends Widget implements IVariableInspector {
    private _source;
    private _table;
    private _filteredTable;
    private _title;
    private _filtered;
    constructor();
    protected intializeFilteredTable(): void;
    protected stringInFilter(string: string, filterType: FILTER_TYPES): boolean;
    protected onFilterChange(filterType: FILTER_TYPES, varName: string, isAdding: boolean): void;
    protected addFilteredOutRows(): void;
    protected filterOutTable(): void;
    protected removeRow(name: string): void;
    get source(): IVariableInspector.IInspectable | null;
    set source(source: IVariableInspector.IInspectable | null);
    /**
     * Dispose resources
     */
    dispose(): void;
    protected onInspectorUpdate(sender: any, allArgs: IVariableInspector.IVariableInspectorUpdate): void;
    /**
     * Handle source disposed signals.
     */
    protected onSourceDisposed(sender: any, args: void): void;
    private _showMatrix;
}
export {};
