/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createStore } from 'zustand/vanilla';
import { useStore } from 'zustand';
export const terminalStore = createStore((set, get) => ({
    dark: false,
    adapter: undefined,
    setDark: (dark) => set((state) => ({ dark })),
    setAdapter: (adapter) => set((state) => ({ adapter })),
}));
export function useTerminalStore(selector) {
    return useStore(terminalStore, selector);
}
export default useTerminalStore;
//# sourceMappingURL=TerminalState.js.map