import { JupyterProps } from './Jupyter';
/**
 * Type of the Jupyter configuration.
 */
export type IJupyterConfig = {
    jupyterServerHttpUrl: string;
    jupyterServerWsUrl: string;
    jupyterToken: string;
    insideJupyterLab: boolean;
    insideJupyterHub: boolean;
};
/**
 * Setter for jupyterServerHttpUrl.
 */
export declare const setJupyterServerHttpUrl: (jupyterServerHttpUrl: string) => void;
/**
 * Getter for jupyterServerHttpUrl.
 */
export declare const getJupyterServerHttpUrl: () => string;
/**
 * Setter for jupyterServerWsUrl.
 */
export declare const setJupyterServerWsUrl: (jupyterServerWsUrl: string) => void;
/**
 * Getter for jupyterServerWsUrl.
 */
export declare const getJupyterServerWsUrl: () => string;
/**
 * Setter for jupyterToken.
 */
export declare const setJupyterToken: (jupyterToken: string) => void;
/**
 * Getter for jupyterToken.
 */
export declare const getJupyterToken: () => string;
/**
 * Get the datalayer configuration fully or for a particular parameter.
 *
 * @param name The parameter name
 * @returns The parameter value if {@link name} is specified, otherwise the full configuration.
 */
export declare function getDatalayerConfig(name?: string): any;
/**
 * Method to load the Jupyter configuration from the
 * host HTML page.
 */
export declare const loadJupyterConfig: (props: Pick<JupyterProps, 'lite' | 'jupyterServerHttpUrl' | 'jupyterServerWsUrl' | 'collaborative' | 'terminals' | 'jupyterToken'>) => IJupyterConfig;
