import { IDisposable } from '@lumino/disposable';
import { Panel } from '@lumino/widgets';
import { IRenderMime } from '@jupyterlab/rendermime-interfaces';
import { LabWidgetManager } from './manager';
/**
 * A renderer for widgets.
 */
export declare class WidgetRenderer extends Panel implements IRenderMime.IRenderer, IDisposable {
    constructor(options: IRenderMime.IRendererOptions, manager?: LabWidgetManager);
    /**
     * The widget manager.
     */
    set manager(value: LabWidgetManager);
    renderModel(model: IRenderMime.IMimeModel): Promise<void>;
    /**
     * Dispose the resources held by the manager.
     */
    dispose(): void;
    private _rerender;
    /**
     * The mimetype being rendered.
     */
    readonly mimeType: string;
    private _manager;
    private _rerenderMimeModel;
}
